#ifndef AUTOCLB_H
#define AUTOCLB_H

// {ABE913E3-08A3-11d8-9244-00E029288A7F}
static const GUID IID_IAutoCalibrateControl = 
{ 0xabe913e3, 0x8a3, 0x11d8, { 0x92, 0x44, 0x0, 0xe0, 0x29, 0x28, 0x8a, 0x7f } };

const ULONG ACCTRL_BALANCEALLCHANS = 0xFFFFFFFF;

class IAutoCalibrateControl : public IUnknown
{
  public:
	///        
	virtual HRESULT STDMETHODCALLTYPE ManualSetCalibrLevelMode(ULONG a_nChan, ULONG a_nMode)=0;
	///       
	virtual HRESULT STDMETHODCALLTYPE ManualSetCalibrLevelValue(ULONG a_nChan, double a_dblLevel)=0;
	///   
	virtual HRESULT STDMETHODCALLTYPE AutoCalibrate(ULONG a_nChan)=0;

};

#endif
