#ifndef IRWMEM_H
#define IRWMEM_H

// 9548b1f9-3f20-4f8a-8467-ee23d8396be5
static const GUID IID_IRWMem = 
{ 0x9548b1f9, 0x3f20, 0x4f8a, { 0x84, 0x67, 0xee, 0x23, 0xd8, 0x39, 0x6b, 0xe5 } };

class IRWMem: public IUnknown
{
public:
	virtual HRESULT STDMETHODCALLTYPE iReadRemoteWordArray(int nSlot, int nAddr, int nSize, byte* pData) = 0;
	virtual HRESULT STDMETHODCALLTYPE iWriteRemoteWordArray(int nSlot, int nAddr, int nSize, byte* pData) = 0;
};

#endif
