#ifndef MR820PROPERTYIDS_H
#define MR820PROPERTYIDS_H

#include "MebiusDAQ/Iface/PropIdBase.h"
#include "MebiusDAQDevices/mr/MrBase/MrPropertyIDs.h"

namespace mebius_daq{

const mebase::ULONG MEPROP_AUTOLEVEL = MAKE_PROPID(MEPROPCLASSID_MR, MEPROP_MR820_BASE, 1);
const mebase::ULONG MEPROP_LEVELCODE = MAKE_PROPID(MEPROPCLASSID_MR, MEPROP_MR820_BASE, 2);
const mebase::ULONG MEPROP_CURFREQ = MAKE_PROPID(MEPROPCLASSID_MR, MEPROP_MR820_BASE, 3);
const mebase::ULONG MEPROP_CURRENT_FREQ = MAKE_PROPID(MEPROPCLASSID_MR, MEPROP_MR820_BASE, 4);
const mebase::ULONG MEPROP_P_OFFSET = MAKE_PROPID(MEPROPCLASSID_MR, MEPROP_MR820_BASE, 5);
const mebase::ULONG MEPROP_P_WIDTH = MAKE_PROPID(MEPROPCLASSID_MR, MEPROP_MR820_BASE, 6);
const mebase::ULONG MEPROP_NIOS_REG = MAKE_PROPID(MEPROPCLASSID_MR, MEPROP_MR820_BASE, 7);
const mebase::ULONG MEPROP_CYCLONE_REG = MAKE_PROPID(MEPROPCLASSID_MR, MEPROP_MR820_BASE, 8);
const mebase::ULONG MEPROP_PLLREG1 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROP_MR820_BASE, 9);
const mebase::ULONG MEPROP_PLLREG2 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROP_MR820_BASE, 10);

}

#endif


