///////////////////////////////////////////////////////////////////////////////
// IDataTargetsControl
//
//    
//    ITag::QueryInterface(IID_IDataTargetsControl)
//
//  : mr\iface\trgtctrl.h
//
//      recorder
//
// 2005 ()  ""
///////////////////////////////////////////////////////////////////////////////


#ifndef TRGTCTRL_H
#define TRGTCTRL_H

// {309AABBD-5FB0-4337-8D3E-29555D74A55C}
static const GUID IID_IDataTargetsControl = 
{ 0x309aabbd, 0x5fb0, 0x4337, { 0x8d, 0x3e, 0x29, 0x55, 0x5d, 0x74, 0xa5, 0x5c } };

class IDataTargetsControl : public IUnknown
{
  public:
    //    
    virtual HRESULT STDMETHODCALLTYPE AddTarget(IDataTarget* a_pTarget)=0;

    //       a_nIndex
    //    a_nIndex, a_nIndex+1, ...  
    virtual HRESULT STDMETHODCALLTYPE InsertTarget(IDataTarget* a_pTarget, int a_nIndex)=0;

    //     
    //      ,    
    //  Release
    virtual HRESULT STDMETHODCALLTYPE GetTargetByIndex(int a_nIndex, IDataTarget** a_ppTarget)=0;
    
    //    
    virtual HRESULT STDMETHODCALLTYPE RemoveTarget(IDataTarget* a_pTarget)=0;
};

#endif