#ifndef DSPTYPES_H
#define DSPTYPES_H
/* File used in MsVisual C++ and DSP ANSI-c */

typedef unsigned long       DWORD;
typedef int                 BOOL;
typedef unsigned char       BYTE;
typedef unsigned short      WORD;

typedef int                 INT;
typedef unsigned int        UINT;

#ifndef FALSE
#define FALSE               0
#endif

#ifndef TRUE
#define TRUE                1
#endif

#ifndef NULL
#ifdef __cplusplus
#define NULL    0
#else
#define NULL    ((void *)0)
#endif
#endif

typedef struct
{
  short prp;
  short iChan;
  union {
    short i16;
    short i16_array[2];
    long  i32;
    DWORD u32;
    float flt;
    float flt_array[2];
  } Val;
} TIndexProp;

typedef struct
{
  int Val[3];
} TIntArray;

typedef struct
{
  float Val[2];
} TFltArray;

#endif // DSPTYPES_H
