#ifndef DATASTAT_H
#define DATASTAT_H


///   
///           
///  .
///     -    DATAST_INVALID_DATA
///   ,      .     
/// .

typedef enum {
	///  
	DATAST_VALID_DATA         = 0x00000000,
	DATAST_NULL               = 0x00000000,
	DATAST_OK                 = 0x00000000,

	///      
	DATAST_INVALID_DATA       = 0x00000001,
	
	///  
	DATAST_ADC_OUT_OF_RANGE   = 0x00000002 | DATAST_INVALID_DATA,
	
	///    
	DATAST_TARE_OUT_OF_RANGE  = 0x00000004,
    
	///    
	DATAST_ALARM_HI_LOW       = 0x00000008,

	///    
	DATAST_ALARM_HI_HI        = 0x00000010,

	///    
	DATAST_ALARM_LOW_LOW      = 0x00000020,

	///    
	DATAST_ALARM_LOW_HI       = 0x00000040,
	                          
	///   
	DATAST_WIRE_BROKEN        = 0x00000080 | DATAST_INVALID_DATA,
                              
	///      
	DATAST_HARDWARE_FAIL      = 0x00000100 | DATAST_INVALID_DATA,
	                          
	///    
	DATAST_LOST_CONNECTION    = 0x00000200 | DATAST_INVALID_DATA,
	                          
	///          
	DATAST_CHANNEL_DOWN       = 0x00000400 | DATAST_INVALID_DATA,

	///  
	DATAST_OBSOLETE_DATA      = 0x00000800 | DATAST_INVALID_DATA,

	///  
	DATAST_LINE_SHORT_CIRCUIT = 0x00001000 | DATAST_INVALID_DATA
}DATAST;


#endif