#ifndef IDEVICEDRIVERLIST_H
#define IDEVICEDRIVERLIST_H

#include "mebase.h"
#include "IObject.h"
#include "IBus.h"
#include "IDeviceDriver.h"



namespace mebius_daq{

/// @interface IDeviceDriversList
///     

class IDeviceDriver;
class IDeviceDriverList
{
public:
	///     
	virtual mebase::ULONG MEBCALLTYPE GetCount()const = 0;
	///    
	virtual MEBRESULT MEBCALLTYPE Get(IDeviceDriver** ppObject, const mebase::ULONG nIndex)const = 0;
	///  
	virtual MEBRESULT MEBCALLTYPE Close() = 0;
};
}


#endif
