#ifndef ITAREDEVICE_H
#define ITAREDEVICE_H

namespace mebius_daq { 

const mebase::ULONG MEBDAQRIID_ITAREDEVICE=  0xF0021;

class ITareDevice
{
public:
	virtual MEBRESULT MEBCALLTYPE UploadTareToDevice() = 0;
	
	virtual MEBRESULT MEBCALLTYPE DownloadTareFromDevice()= 0;

	virtual MEBRESULT MEBCALLTYPE WriteCalibratorName( const char* a_pchName)= 0;

	virtual MEBRESULT MEBCALLTYPE GetFlashTareInfo(char* a_pchInfo)= 0;

};

}
#endif

