#ifndef STATIC_ASSERT_H
#define STATIC_ASSERT_H


#ifdef C_ASSERT
#define STATIC_ASSERT(e) C_ASSERT(e)

#else

template <bool STATE> 
class StaticAssertChecker{};
template <>
class StaticAssertChecker<true>{public: enum{x=0};};



#define BOOST_JOIN( X, Y ) BOOST_DO_JOIN( X, Y )
#define BOOST_DO_JOIN( X, Y ) BOOST_DO_JOIN2(X,Y)
#define BOOST_DO_JOIN2( X, Y ) X##Y


#define STATIC_ASSERT(e) enum { BOOST_JOIN(mst_assert_value,__LINE__) =StaticAssertChecker<e>::x}

#endif

#endif
