#ifndef IRNGCTRL_H
#define IRNGCTRL_H

// {BAB92861-25B3-11d8-9244-00E029288A7F}
static const GUID IID_IChannelRangeControl = 
{ 0xbab92861, 0x25b3, 0x11d8, { 0x92, 0x44, 0x0, 0xe0, 0x29, 0x28, 0x8a, 0x7f } };


class IChannelRangeControl : public IUnknown
{
  public:
    //   
    virtual ULONG   STDMETHODCALLTYPE GetRangesCount()PURE;
    //   
    virtual HRESULT STDMETHODCALLTYPE GetRange(ULONG a_nIndex, double* a_pRangeMin, double* a_pRangeMax)PURE;
    //   
    virtual HRESULT STDMETHODCALLTYPE GetRangeUnits(char* a_pchUnits, int a_nBufSize)PURE;

    // 
    virtual HRESULT STDMETHODCALLTYPE SetRangeByIndex(ULONG a_nIndex)PURE;
    //  
    virtual ULONG   STDMETHODCALLTYPE GetRangeIndex()PURE;
};
#endif
