///////////////////////////////////////////////////////////////////////////////
// ITagsUpdateEvent
//
//         
//  
//
//  : mr\iface\tagsuevnt.h
//
//      recorder
//
// 2005 ()  ""
///////////////////////////////////////////////////////////////////////////////

#ifndef TAGSUEVNT_H
#define TAGSUEVNT_H

#include "itag.h"

// {EE173DFE-8905-4efa-BC53-410C7E98AB82}
extern const GUID IID_ITagsUpdateEvent;


class ITagsUpdateEvent: public IUnknown
{
  public:
    virtual HRESULT STDMETHODCALLTYPE GetTagsCount(/*[out]*/ULONG* a_puCount)=0;
    virtual HRESULT STDMETHODCALLTYPE GetTag(/*[in]*/ULONG a_nIndex, /*[out]*/ITag** a_pTag)=0;
    
    // !!!         SysFreeMem
    virtual HRESULT STDMETHODCALLTYPE GetBuffer(/*[in]*/ULONG a_nIndex, /*[out]*/float** a_pBuffer, /*[out]*/ ULONG* a_pSize)=0;

    // !!!         SysFreeMem
    virtual HRESULT STDMETHODCALLTYPE GetPair(/*[in]*/ULONG a_nIndex, /*[out]*/float** a_pBuffer, /*[out]*/ ULONG* a_pSize, /*[out]*/ITag** a_pTag)=0;


    //    2.5
    //      
    virtual HRESULT STDMETHODCALLTYPE GetTimeUTS(/*[in]*/ULONG a_nIndex, /*[out]*/double* a_pdblTime)=0;
    
    //    
    virtual HRESULT STDMETHODCALLTYPE GetTimeDevice(/*[in]*/ULONG a_nIndex, /*[out]*/double* a_pdblTime)=0;



};
#endif