///////////////////////////////////////////////////////////////////////////////
// ITagsUpdateSetsControl
//
//      
//
//     ITag::QueryInterface(IID_ITagsUpdateSetsControl)
//
//  : mr\iface\utsctrl.h
//
//      recorder
//
// 2005 ()  ""
///////////////////////////////////////////////////////////////////////////////


#ifndef UTSCTRL_H
#define UTSCTRL_H

#include "tagsuset.h"
#include "udsubscr.h"

// {E825E120-C4CF-439d-AF23-381C231C2384}
static const GUID IID_ITagsUpdateSetsControl = 
{ 0xe825e120, 0xc4cf, 0x439d, { 0xaf, 0x23, 0x38, 0x1c, 0x23, 0x1c, 0x23, 0x84 } };


class ITagsUpdateSetsControl : public IUnknown
{
  public:
    //    
    //  a_pSubscriber==NULL,      
    //   ITagsUpdateSet::SubscribePlugin
    virtual HRESULT STDMETHODCALLTYPE CreateSet(ITagsUpdateSet** a_ppSet, IUpdateDataSubscriber* a_pSubscriber)=0;

    //  
    //             
    // a_pSubscriber
    //   , a_pSubscriber    
    virtual HRESULT STDMETHODCALLTYPE DestroySet(ITagsUpdateSet* a_ppSet, IUpdateDataSubscriber* a_pSubscriber)=0;

    //     
    virtual HRESULT STDMETHODCALLTYPE GetSetAt(ITagsUpdateSet** a_ppSet, ULONG a_nIndex)=0;

};


#endif